<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>
    <div>
        <table bordercolor='black' border="2">
           <thead>
                <tr style='background-color: rgb(0, 92, 230); color:White' colspan="8">
                  <th style="text-align: center; vertical-align: middle;" colspan="8">Bo-Automation Testing Report</th>
                </tr>
                <tr>
                  <th style='text-align: center; vertical-align: middle;' colspan="4">environment</th>
                  <th style="text-align: center; vertical-align: middle;" colspan="4">{{ env|default("Unknown", true) }}</th>
                </tr>
                <tr>
                  <th style='text-align: center; vertical-align: middle;' colspan="4">start_time</th>
                  <th style="text-align: center; vertical-align: middle;" colspan="4">{{ start_time }}</th>
                </tr>
                <tr>
                  <th style='text-align: center; vertical-align: middle;' colspan="4">end_time</th>
                  <th style="text-align: center; vertical-align: middle;" colspan="4">{{ end_time }}</th>
                </tr>
              <tr>
                  <th style='text-align: center; vertical-align: middle;' colspan="4">elapsed_time</th>
                  <th style="text-align: center; vertical-align: middle;" colspan="4">{{ elapsed_time }}</th>
              </tr>
              <tr style='background-color: rgb(0, 92, 230); color:White'>
                 <th style="text-align: center; vertical-align: middle;" colspan="8">Report</th>
              </tr>
           </thead>
           <tbody>
            {% for result in report_results %}
              <tr>
                 <td style="text-align: center; vertical-align: middle; font-weight: bold;" colspan="4">{{ result.report_type }}</td>
                 <td style="text-align: center; vertical-align: middle;" colspan="4"><a href="{{ result.url }}">link</a></td>
              </tr>
            {% endfor %}
            <tr style='background-color: rgb(0, 92, 230); color:White'>
              <th style="text-align: center; vertical-align: middle;" colspan="8">Summary Result</th>
            </tr>
            <tr style='background-color: rgb(184, 212, 252); color:White'>
              <th style="text-align: center; vertical-align: middle; color: black">Service</th>
              <th style="text-align: center; vertical-align: middle; color: black">TestModule</th>
              <th style="text-align: center; vertical-align: middle; color: black">Passed</th>
              <th style="text-align: center; vertical-align: middle; color: black">Failed</th>
              <th style="text-align: center; vertical-align: middle; color: black">Skipped</th>
              <th style="text-align: center; vertical-align: middle; color: black">Total</th>
              <th style="text-align: center; vertical-align: middle; color: black">PassRate</th>
            </tr>
            {% for report in summary_result %}
            <tr>
              <td style="text-align: center; vertical-align: middle; font-weight: bold;">{{ report.service }}</td>
              <td style="text-align: center; vertical-align: middle; font-weight: bold;">{{ report.module }}</td>
              <td style="text-align: center; vertical-align: middle; font-weight: bold;">{{ report.passed }}</td>
              {% if report.failed == 0 %}
                <td style="text-align: center; vertical-align: middle; font-weight: bold;">{{ report.failed }}</td>
              {% else %}
                <td style="text-align: center; vertical-align: middle; font-weight: bold; color: white; background-color: red">{{ report.failed }}</td>
              {% endif %}
              <td style="text-align: center; vertical-align: middle; font-weight: bold;">{{ report.skipped }}</td>
              <td style="text-align: center; vertical-align: middle; font-weight: bold;">{{ report.total }}</td>
              <td style="text-align: center; vertical-align: middle; font-weight: bold;">{{ report.pass_rate }}</td>
            </tr>
            {% endfor %}
           </tbody>
        </table>
    </div>
</body>
</html>